# -- coding: utf-8 --

# O(N) lahendus "libiseva akna" meetodiga

with open('kuklsis.txt', 'rt') as sis:
	n = int(sis.readline().strip())
	k = [int(sis.readline().strip()) for _ in range(n)]

# seni parim tulemus
parim_n1 = 0
parim_n2 = 0
parim_vahe = sum(k) + 1

# algseis
n1 = 0
n2 = n
vahe = sum(k)

while True:
	if abs(vahe) < parim_vahe:
		parim_n1 = n1
		parim_n2 = n2
		parim_vahe = abs(vahe)
	if vahe > 0 and n2 > 0:
		# Mari osa on liiga väike, suurendame seda
		vahe -= 2 * k[n - n2]
		n2 -= 1
		continue
	if vahe < 0 and n1 < n - n2:
		# Jüri osa on liiga väike, suurendame seda
		vahe += 2 * k[n1]
		n1 += 1
		continue
	# kumbagi ei õnnestunud teha, lõpetame
	break

with open('kuklval.txt', 'wt') as val:
	val.write('{} {}\n'.format(parim_n1, parim_n2))
