// O(N^2) lahendus, mis leiab iga (N1, N2) paari jaoks vahe konstantse ajaga

#include <fstream>
#include <vector>
#include <cmath>
using namespace std;

ifstream sis("kuklsis.txt");
ofstream val("kuklval.txt");

// sisendandmed
int n;
vector<int> k;

// seni parim tulemus
int parim_n1;
int parim_n2;
int parim_vahe;

// summa[i] on karpides 1..i olevate kuklite koguarv
vector<int> summa;

int main() {
	sis >> n;
	k.resize(n);
	for (int i = 0; i < n; ++i) {
		sis >> k[i];
	}

	summa.resize(n + 1);
	summa[0] = 0;
	for (int i = 0; i < n; ++i) {
		summa[i + 1] = summa[i] + k[i];
	}

	parim_vahe = summa[n] + 1;
	for (int n1 = 0; n1 <= n; ++n1) {
		for (int n2 = 0; n1 + n2 <= n; ++n2) {
			int mari = summa[n - n2] - summa[n1];
			int juri = summa[n] - mari;
			if (parim_vahe > abs(juri - mari)) {
				parim_n1 = n1;
				parim_n2 = n2;
				parim_vahe = abs(juri - mari);
			}
		}
	}

	val << parim_n1 << ' ' << parim_n2 << '\n';
}
