# O(N^2) lahendus, mis leiab iga (N1, N2) paari jaoks vahe konstantse ajaga

with open('kuklsis.txt', 'rt') as sis:
	n = int(sis.readline().strip())
	k = [int(sis.readline().strip()) for _ in range(n)]

# summa[i] on karpides 1..i olevate kuklite koguarv
summa = [0] * (n + 1)
for i in range(n):
	summa[i + 1] = summa[i] + k[i]

# seni parim tulemus
parim_n1 = 0
parim_n2 = 0
parim_vahe = sum(k) + 1

for n1 in range(n + 1):
	for n2 in range(n + 1 - n1):
		mari = summa[n - n2] - summa[n1]
		juri = summa[n] - mari
		if abs(juri - mari) < parim_vahe:
			parim_n1 = n1
			parim_n2 = n2
			parim_vahe = abs(juri - mari)

with open('kuklval.txt', 'wt') as val:
	val.write('{} {}\n'.format(parim_n1, parim_n2))
