# O(N^3) lahendus, mis leiab iga (N1, N2) paari jaoks vahe O(N1 + N2) ajaga

with open('kuklsis.txt', 'rt') as sis:
	n = int(sis.readline().strip())
	k = [int(sis.readline().strip()) for _ in range(n)]

# seni parim tulemus
parim_n1 = 0
parim_n2 = 0
parim_vahe = sum(k) + 1

summa = sum(k)
for i1 in range(n + 1):
	for i2 in range(i1, n + 1):
		vasak_summa = sum(k[ : i1])
		parem_summa = sum(k[i2 : ])
		keskm_summa = summa - vasak_summa - parem_summa
		if abs(vasak_summa + parem_summa - keskm_summa) < parim_vahe:
			parim_n1 = i1
			parim_n2 = n - i2
			parim_vahe = abs(vasak_summa + parem_summa - keskm_summa)

with open('kuklval.txt', 'wt') as val:
	val.write('{} {}\n'.format(parim_n1, parim_n2))
