# sisendi korrektsuse kontrollija

import sys

fi = open(sys.argv[1], 'rt')
fo = open(sys.argv[2], 'wt')

n, m = [int(_) for _ in fi.readline().strip().split()]
if 1 > n or n > 1000:
	sys.exit('N out of range')
if 1 > m or m > n:
	sys.exit('M out of range')
fo.write('{0} {1}\n'.format(n, m))

s = fi.readline().strip()
if len(s) != n:
	sys.exit('Invalid number of plates')
for c in s:
	if c not in ['P', 'M']:
		sys.exit('Invalid state of a plate')
fo.write(s + '\n')

s = fi.readline().strip()
f = 0
if len(s) != n:
	sys.exit('Invalid number of guests')
for c in s:
	if c not in ['S', 'K']:
		sys.exit('Invalid status of a guest')
	if c == 'S':
		f += 1
if f != m:
	sys.exit('Invalid number of friends among guests')
fo.write(s + '\n')

fi.close()
fo.close()
