// O(N) lahendus "libiseva akna" meetodiga

#include <fstream>
#include <vector>
#include <cmath>
using namespace std;

ifstream sis("kuklsis.txt");
ofstream val("kuklval.txt");

// sisendandmed
int n;
vector<int> k;

// seni parim tulemus
int parim_n1;
int parim_n2;
int parim_vahe;

int main() {
	sis >> n;
	k.resize(n);
	for (int i = 0; i < n; ++i) {
		sis >> k[i];
	}

	// algseis
	int n1 = 0, n2 = n;
	int vahe = 0;
	for (int i = 0; i < n; ++i) {
		vahe += k[i];
	}

	parim_vahe = vahe + 1;
	for ( ; ; ) {
		if (parim_vahe > abs(vahe)) {
			parim_n1 = n1;
			parim_n2 = n2;
			parim_vahe = abs(vahe);
		}
		if (vahe > 0 && n2 > 0) {
			// Mari osa on liiga väike, suurendame seda
			vahe -= 2 * k[n - n2];
			n2 -= 1;
			continue;
		}
		if (vahe < 0 && n1 < n - n2) {
			// Jüri osa on liiga väike, suurendame seda
			vahe += 2 * k[n1];
			n1 += 1;
			continue;
		}
		// kumbagi ei õnnestunud teha, lõpetame
		break;
	}

	val << parim_n1 << ' ' << parim_n2 << '\n';
}
