// O(N^3) lahendus, mis käib iga (N1, N2) paari jaoks läbi K[N1..N-N2]

#include <fstream>
#include <vector>
#include <cmath>
using namespace std;

ifstream sis("kuklsis.txt");
ofstream val("kuklval.txt");

// sisendandmed
int n;
vector<int> k;

// seni parim tulemus
int parim_n1;
int parim_n2;
int parim_vahe;

int main() {
	sis >> n;
	k.resize(n);
	for (int i = 0; i < n; ++i) {
		sis >> k[i];
	}

	int summa = 0;
	for (int i = 0; i < n; ++i) {
		summa += k[i];
	}

	parim_vahe = summa + 1;
	for (int n1 = 0; n1 <= n; ++n1) {
		for (int n2 = 0; n1 + n2 <= n; ++n2) {
			int mari = 0;
			for (int i = n1; i < n - n2; ++i) {
				mari += k[i];
			}
			int juri = summa - mari;
			if (parim_vahe > abs(juri - mari)) {
				parim_n1 = n1;
				parim_n2 = n2;
				parim_vahe = abs(juri - mari);
			}
		}
	}

	val << parim_n1 << ' ' << parim_n2 << '\n';
}
